# Exception_Macros.h File Reference

`#include "ace/config-all.h"`

Include dependency graph for Exception_Macros.h:

This graph shows which files directly or indirectly include this file:

## Defines

#define | ACE_USES_NATIVE_EXCEPTIONS
#define | ACE_CORBA_HAS_EXCEPTIONS

## Detailed Description

Id
  Exception_Macros.h,v 4.4 2003/07/19 19:04:11 dhinton Exp

Writing code that is portable between platforms with or without native C++ exceptions is hard. The following macros offer some help on this task.

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>

  Aniruddha Gokhale <gokhale@sahyadri.research.bell-labs.com>

  Carlos O'Ryan <coryan@uci.edu>

  Krishnakumar B <kitty@cs.wustl.edu>, et al.

## Define Documentation

#define ACE_CORBA_HAS_EXCEPTIONS

#define ACE_USES_NATIVE_EXCEPTIONS